Bug 150904 - Change in HTTP slave makes login impossible
Summary: Change in HTTP slave makes login impossible
Status: RESOLVED FIXED
Alias: None
Product: kio
Classification: Unclassified
Component: http (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Unassigned bugs mailing-list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-10-16 22:26 UTC by Harri Porten
Modified: 2007-10-18 01:06 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Harri Porten 2007-10-16 22:26:56 UTC
Version:            (using KDE Devel)
Installed from:    Compiled sources

Since r707413 in 3.5.8 707401 in trunk I am no longer able to log into a PHP based application (MySQL's Eventum). Login hangs, later I get the warning "Cannot modify header information - headers already sent".
Comment 1 Harri Porten 2007-10-16 22:45:11 UTC
Here is the debug output from the point I start the login until it stalls:

kio_http(6644) HTTPProtocol::httpOpen: ============ Sending Header:
kio_http(6644) HTTPProtocol::httpOpen: "POST /eventum/login.php HTTP/1.1"
kio_http(6644) HTTPProtocol::httpOpen: "Connection: Keep-Alive"
kio_http(6644) HTTPProtocol::httpOpen: "User-Agent: Mozilla/5.0 (compatible; Konqueror/3.94; Linux) KHTML/3.94.0 (like Gecko)"
kio_http(6644) HTTPProtocol::httpOpen: "Referer: http://dock17/eventum/"
kio_http(6644) HTTPProtocol::httpOpen: "Pragma: no-cache"
kio_http(6644) HTTPProtocol::httpOpen: "Cache-control: no-cache"
kio_http(6644) HTTPProtocol::httpOpen: "Accept: text/html, image/jpeg, image/png, text/*, image/*, */*"
kio_http(6644) HTTPProtocol::httpOpen: "Accept-Encoding: x-gzip, x-deflate, gzip, deflate"
kio_http(6644) HTTPProtocol::httpOpen: "Accept-Charset: utf-8, utf-8;q=0.5, *;q=0.5"
kio_http(6644) HTTPProtocol::httpOpen: "Accept-Language: en-US, en"
kio_http(6644) HTTPProtocol::httpOpen: "Host: dock17"
kio_http(6644) HTTPProtocol::httpOpen: "Cookie: eventum=YTo0OntzOjU6ImVtYWlsIjtzOjIwOiJwb3J0ZW5AZnJvZ2xvZ2ljLmNvbSI7czoxMDoibG9naW5fdGltZSI7aToxMTkyNTY2OTQ4O3M6NDoiaGFzaCI7czozMjoiNzc3MWM2MjcxMjY4NWZiYWQ0Yjg3MjAyNmJiOThmYTUiO3M6OToiYXV0b2xvZ2luIjtOO30%3D; PHPSESSID=97aaeb261506be92acec41b4a864b14d"
kio_http(6644) HTTPProtocol::httpOpen: "Content-Type: application/x-www-form-urlencoded"
kio_http(6644) HTTPProtocol::readHeader: ============ Received Response:
kio_http(6644) HTTPProtocol::readHeader: "HTTP/1.1 200 OK"
kio_http(6644) HTTPProtocol::readHeader: "Date: Tue, 16 Oct 2007 20:43:14 GMT"
kio_http(6644) HTTPProtocol::readHeader: "Server: Apache/2.0.54 (Debian GNU/Linux) PHP/4.3.10-19 mod_perl/1.999.21 Perl/v5.8.4"
kio_http(6644) HTTPProtocol::readHeader: "X-Powered-By: PHP/4.3.10-19"
kio_http(6644) HTTPProtocol::readHeader: "Expires: Thu, 19 Nov 1981 08:52:00 GMT"
kio_http(6644) HTTPProtocol::readHeader: "Cache-Control: no-store, no-cache, must-revalidate, post-check=0, pre-check=0"
kio_http(6644) HTTPProtocol::readHeader: "Pragma: no-cache"
kio_http(6644) HTTPProtocol::readHeader: "Set-Cookie: eventum=YTo0OntzOjU6ImVtYWlsIjtzOjIwOiJwb3J0ZW5AZnJvZ2xvZ2ljLmNvbSI7czoxMDoibG9naW5fdGltZSI7aToxMTkyNTY3Mzk0O3M6NDoiaGFzaCI7czozMjoiYjAyYjQzNmI4NjZlZmVkZGJiNjUwYWU1NGRhYzFkMTkiO3M6OToiYXV0b2xvZ2luIjtOO30%3D; expires=Wed, 17 Oct 2007 04:43:14 GMT; path=/eventum/"
kio_http(6644) HTTPProtocol::readHeader: "Refresh: 0; URL=/eventum/select_project.php"
kio_http(6644) HTTPProtocol::readHeader: "Keep-Alive: timeout=15, max=100"
kio_http(6644) HTTPProtocol::readHeader: "Connection: Keep-Alive"
kio_http(6644) HTTPProtocol::readHeader: "Transfer-Encoding: chunked"
kio_http(6644) HTTPProtocol::readHeader: "Content-Type: text/html;charset=ISO-8859-1"
kio_http(6644) HTTPProtocol::readHeader: --empty--
Comment 2 Maksim Orlovich 2007-10-16 22:54:20 UTC
Possibly related: bug #150070
Comment 3 Dawit Alemayehu 2007-10-18 01:06:24 UTC
SVN commit 726539 by adawit:

- Forward port the fix for BR 150904 and 150070 from KDE 3.5 branch.

BUG:150904
BUG:150070


 M  +4 -6      http.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=726539